# ma77_control_d Struct Reference

`#include <hsl_ma77d.h>`

List of all members.

## Public Attributes
int | f_arrays
int | print_level
int | unit_diagnostics
int | unit_error
int | unit_warning
int | bits
int | buffer_lpage [2]
int | buffer_npage [2]
long int | file_size
long int | maxstore
long int | storage [3]
int | nemin
int | maxit
int | infnorm
ma77pkgtype_d_ | thresh
int | nb54
int | action
ma77pkgtype_d_ | multiplier
int | nb64
int | nbi
ma77pkgtype_d_ | small
ma77pkgtype_d_ | static_
long int | storage_indef
ma77pkgtype_d_ | u
ma77pkgtype_d_ | umin
ma77pkgtype_d_ | consist_tol
int | ispare [5]
long int | lspare [5]
ma77pkgtype_d_ | rspare [5]

## Detailed Description

Definition at line 38 of file hsl_ma77d.h.

## Member Data Documentation

int ma77_control_d::f_arrays

Definition at line 42 of file hsl_ma77d.h.

int ma77_control_d::print_level

Definition at line 46 of file hsl_ma77d.h.

int ma77_control_d::unit_diagnostics

Definition at line 47 of file hsl_ma77d.h.

int ma77_control_d::unit_error

Definition at line 49 of file hsl_ma77d.h.

int ma77_control_d::unit_warning

Definition at line 51 of file hsl_ma77d.h.

int ma77_control_d::bits

Definition at line 55 of file hsl_ma77d.h.

int ma77_control_d::buffer_lpage[2]

Definition at line 56 of file hsl_ma77d.h.

int ma77_control_d::buffer_npage[2]

Definition at line 57 of file hsl_ma77d.h.

long int ma77_control_d::file_size

Definition at line 58 of file hsl_ma77d.h.

long int ma77_control_d::maxstore

Definition at line 59 of file hsl_ma77d.h.

long int ma77_control_d::storage[3]

Definition at line 60 of file hsl_ma77d.h.

int ma77_control_d::nemin

Definition at line 63 of file hsl_ma77d.h.

int ma77_control_d::maxit

Definition at line 67 of file hsl_ma77d.h.

int ma77_control_d::infnorm

Definition at line 68 of file hsl_ma77d.h.

ma77pkgtype_d_ ma77_control_d::thresh

Definition at line 69 of file hsl_ma77d.h.

int ma77_control_d::nb54

Definition at line 72 of file hsl_ma77d.h.

int ma77_control_d::action

Definition at line 75 of file hsl_ma77d.h.

ma77pkgtype_d_ ma77_control_d::multiplier

Definition at line 77 of file hsl_ma77d.h.

int ma77_control_d::nb64

Definition at line 78 of file hsl_ma77d.h.

int ma77_control_d::nbi

Definition at line 79 of file hsl_ma77d.h.

ma77pkgtype_d_ ma77_control_d::small

Definition at line 80 of file hsl_ma77d.h.

ma77pkgtype_d_ ma77_control_d::static_

Definition at line 81 of file hsl_ma77d.h.

long int ma77_control_d::storage_indef

Definition at line 82 of file hsl_ma77d.h.

ma77pkgtype_d_ ma77_control_d::u

Definition at line 83 of file hsl_ma77d.h.

ma77pkgtype_d_ ma77_control_d::umin

Definition at line 84 of file hsl_ma77d.h.

ma77pkgtype_d_ ma77_control_d::consist_tol

Definition at line 88 of file hsl_ma77d.h.

int ma77_control_d::ispare[5]

Definition at line 91 of file hsl_ma77d.h.

long int ma77_control_d::lspare[5]

Definition at line 91 of file hsl_ma77d.h.

ma77pkgtype_d_ ma77_control_d::rspare[5]

Definition at line 91 of file hsl_ma77d.h.

The documentation for this struct was generated from the following file:

- src/Algorithm/LinearSolvers/hsl_ma77d.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines